import { cn as e } from "../../lib/utils.js";
import "react";
import { jsx as t, jsxs as n } from "react/jsx-runtime";
import { ChevronRight as r, MoreHorizontal as i } from "lucide-react";
import { Slot as a } from "@radix-ui/react-slot";
//#region src/components/ui/breadcrumb.tsx
function o({ ...e }) {
	return /* @__PURE__ */ t("nav", {
		"aria-label": "breadcrumb",
		"data-slot": "breadcrumb",
		...e
	});
}
function s({ className: n, ...r }) {
	return /* @__PURE__ */ t("ol", {
		"data-slot": "breadcrumb-list",
		className: e("text-muted-foreground flex flex-wrap items-center gap-1.5 text-sm break-words sm:gap-2.5", n),
		...r
	});
}
function c({ className: n, ...r }) {
	return /* @__PURE__ */ t("li", {
		"data-slot": "breadcrumb-item",
		className: e("inline-flex items-center gap-1.5", n),
		...r
	});
}
function l({ asChild: n, className: r, ...i }) {
	return /* @__PURE__ */ t(n ? a : "a", {
		"data-slot": "breadcrumb-link",
		className: e("hover:text-foreground transition-colors", r),
		...i
	});
}
function u({ className: n, ...r }) {
	return /* @__PURE__ */ t("span", {
		"data-slot": "breadcrumb-page",
		role: "link",
		"aria-disabled": "true",
		"aria-current": "page",
		className: e("text-foreground font-normal", n),
		...r
	});
}
function d({ children: n, className: i, ...a }) {
	return /* @__PURE__ */ t("li", {
		"data-slot": "breadcrumb-separator",
		role: "presentation",
		"aria-hidden": "true",
		className: e("[&>svg]:size-3.5", i),
		...a,
		children: n ?? /* @__PURE__ */ t(r, {})
	});
}
function f({ className: r, ...a }) {
	return /* @__PURE__ */ n("span", {
		"data-slot": "breadcrumb-ellipsis",
		role: "presentation",
		"aria-hidden": "true",
		className: e("flex size-9 items-center justify-center", r),
		...a,
		children: [/* @__PURE__ */ t(i, { className: "size-4" }), /* @__PURE__ */ t("span", {
			className: "sr-only",
			children: "More"
		})]
	});
}
//#endregion
export { o as Breadcrumb, f as BreadcrumbEllipsis, c as BreadcrumbItem, l as BreadcrumbLink, s as BreadcrumbList, u as BreadcrumbPage, d as BreadcrumbSeparator };
